fig13x002<-function(){
#
# require(lattice)
#
graphics.off()
dev.new(width=4.5,height=4.5,pointsize=12)
par(fin=c(4.45,4.45),pin=c(4.45,4.45),mai=rep(0,4),
xaxs="r",yaxs="r")
#
RMSTitanic<-array(
data=c(173,58,144,139,5,5,160,13,93,
78,24,24,454,55,179,98,76,23,
875,189,23,21,0,0),
dim=c(2,3,4),dimnames=list(c("Carried","Survived"),
c("Men","Women","Children"),c("1st","2nd","3rd","Crew")))
#
SurviveTitanic<-RMSTitanic[2,,]/RMSTitanic[1,,]
#
figure<-cloud(SurviveTitanic,xlim=c(0,4),ylim=c(0,5),
zlab="Prop.",ylab="Class",xlab="Type",
type=c("p","h"),col="gray",panel.aspect=0.75,
scales=list(arrows=FALSE,distance = 1.65,
y=list(at=1:4,labels=c("1st","2nd","3rd","Crew")),
x=list(at=1:3,labels=c("Men","Women","Children"))),
screen=list(x=-45,y=-45,z=-45))
#
print(figure)
}