fig13x010<-function(){
#
# require(lattice)
# require(RColorBrewer)
#
# Requires textbook R data set Fishcatch.RData 
# which contains dataframe Fishcatch
#
graphics.off()
dev.new(width=4.5,height=6.3,pointsize=12)
par(fin=c(4.45,6.2),pin=c(4.45,6.25),
mai=c(0.,0.0,0.,0.),
xaxs="r",yaxs="r")
#
#
colpal<-rev(brewer.pal(7,"Dark2"))
#
Fishcatch <- NULL
rm(Fishcatch)
#
fc<-Fishcatch
#
fc$Species<-ordered(fc$Species,
levels=c(5,7,6,4,2,1,3),
labels=c("Smelt","Perch","Pike","Silver Bream",
"Ide","Bream","Roach"))
#
width<-equal.count(log(fc$Width_pc*fc$Length3/100),3,1/2)
height<-equal.count(log(fc$Height_pc*fc$Length3/100),3,1/2)
#
Species <- NULL
rm(Species)
#
figure<-xyplot(log(Weight) ~ log(Length2) | width*height,
data=fc,groups=Species,auto.key=list(columns=3),aspect=1,
par.settings = simpleTheme(pch=0:6,col=colpal),
xlab = "log(Length)",ylab = "log(Mass)",
strip=strip.custom(var.name=c("log(Width)","log(Height)")))
#
print(figure)
#
dev.copy2eps(file="fig13x010.eps",colormodel="cmyk")
dev.copy2pdf(file="fig13x010.pdf",colormodel="cmyk")
}

