\name{OECDHealth2004}
\docType{data}
\alias{OECDHealth2004}
\title{2004 OECD Healthcare Data}
\description{
The Organisation for Economic Co-operation and Development (OECD) is an
international organization of 30 countries that originated with the
Marshall Plan for the reconstruction of Europer after the Second World War.
Membership was later extended to non-European states.  Its Statisticse
Directorate is one of the world's premier statistical agencies.  The
OCED offers the most comprehensive source of comparable statistics on 
health and healthcare systems in the OECD countries.  The Statistics Directorate
compiles these figures for the OECD Directorate of Employment, Labour, and
Social Affairs.

The 2009 version of the OECD health data information system includes 1,200
series.  The data set OECDHealth2004 comprises 13.3 in Keen (2018),
which reports a subset of complete data for 15 member nations for 2004 from
OECD Health Data 2009.

The data set OECDHealth2004 reports 11 statistics pertaining to healthcare
resources.  Missing from this data set (and Table 13.3) is the number
of mammographs per million and radiation therapy equipment per million
population. Too many countries were missing information for these two
variables.  Missing from the data set OECDHealth200 (and Table 13.3) are
countries with missing data for one or more of the other nine variables.
Added to the data set OECDHealth2004 (and Table 13.3) is the total health
expenditure per capita in US dollars adjusted for purchasing power parity
(which uses long-term exchange rates).

\subsection{Description of Variables}{
\var{Countries}: (character) name of country

\var{Nurses}: number of nurses per 1,000 persons

\var{Medical_Grads}: physician graduates per 1,000 persons

\var{Hospital_Beds}: number of hospital beds per 1,000 persons

\var{Acute_Beds}: number of acute-care hospital beds per 1,000 persons

\var{Psych_Beds}: number of psychiatric-care beds per 1,000 persons

\var{MRI}: number of magnetic resonance interferometers per million persons

\var{CT}: number of computed tomography scanners per million persons

\var{Expenditure}: total expenditure per capita in purchasing power parity
US Dollars
}
}
\usage{OECDHealth2004}
\format{A data frame names OECDHealth2004 containing 15 rows and 11 columns.}
\source{Organisation for Economic Co-operation and Development 2009
OECD Health Data 2009.

\emph{http://www.oecd.org/health/healthdata}.  Accessed: 2009-08-13.
}
\references{
Keen, K. J. 2018 \emph{Graphics for Statistics and Data Analysis with R,
Second Edition}.
Boca Raton: Taylor & Francis Group, LLC.
}
\keyword{datasets}
